aboutsummaryrefslogtreecommitdiff
path: root/performance-test
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2022-02-12 16:27:33 -0400
committerDavid Bremner <david@tethera.net>2022-02-25 08:37:14 -0400
commit371fa28ced91e0d0036a98403fab61e9f5301ba4 (patch)
treecae391cd4ade211e5ce61a1a9ec69c00c4d43eef /performance-test
parent92b6b991b013e528c9ec3fa1acf083880a2d2757 (diff)
test: split variable settings to their own file
This allows sharing more variable settings between the (correctness) tests and the performance-tests. Unfortunately it seems a bit tricky to move settings to test-lib-common.sh, as that is sourced late in test-lib.sh, and moving it earlier breaks things.
Diffstat (limited to 'performance-test')
-rw-r--r--performance-test/perf-test-lib.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index 41b1ddfd..0e4915e3 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -41,6 +41,8 @@ done
# Ensure NOTMUCH_SRCDIR and NOTMUCH_BUILDDIR are set.
. $(dirname "$0")/../test/export-dirs.sh || exit 1
+. "$NOTMUCH_SRCDIR/test/test-vars.sh" || exit 1
+
# Where to run the tests
TEST_DIRECTORY=$NOTMUCH_BUILDDIR/performance-test